broken tests due to audited 4.6 release
Status: Closed   

Priority: Normal   

Assignee: Tomer Brisker   

Category: Audit Log   

Target version: 1.16.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5161,

https://github.com/theforeman/foreman/p

ull/5165,

https://github.com/theforeman/foreman/p

ull/5166,

https://github.com/theforeman/foreman/p

ull/5172

  

Description

Most likely related to changes in rails 5.1 change tracking

ImageTest::audits for password change.test_0002_audit of password change should be saved

    UserTest::audits for password change.test_0001_audit of password change should be saved only o

nce, second time audited changes should not contain password_changed

    UserTest::audits for password change.test_0002_audit of password change should be saved

Related issues:

Related to Foreman - Bug #22280: User Audits: False entry of "password change... New 01/16/2018

Associated revisions

Revision d55bec0a - 01/10/2018 01:05 PM - Tomer Brisker

Refs #22208 - pin audited to 4.5

4.6.0 versions causes test failures on models trying to prevent saved

passwords from being saved in the audit log. This is due to hacks we

added to core along with changes in rails 5.1 change tracking.

This should be fixed to work correctly in the code, but pinning for now

to prevent CI breakage.

Revision 59f0a945 - 01/12/2018 01:18 PM - Tomer Brisker

Fixes #22208, #21920 - Refactor password auditing (#5162)

Recent changes in Rails 5.1 and audited gem cause our method of auditing

passwords to break. This PR refactors password auditing, so that instead

of recording a change to attribute `password_changed`, we will now

record the string `[redacted]` instead of any actual password.

The change is done currently in our audit extensions, which mean that it

will now apply to all resources that have a `password` attribute instead

of just those that have defined the workaround.

The next step will be to move this to the audited gem in a more

generalized method that can be defined in the model when initializing

audited, so that the workaround can be removed.

History

#1 - 01/10/2018 07:46 AM - Tomer Brisker

- Category set to Audit Log
#2 - 01/10/2018 08:47 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/5161 added

#3 - 01/10/2018 10:51 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/5162 added

#4 - 01/10/2018 02:21 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/5160 added

#5 - 01/10/2018 04:22 PM - Anonymous

- translation missing: en.field_release set to 332

this needs to get cherry-picked to 1.15 and 1.16

#6 - 01/10/2018 04:29 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/5165 added

#7 - 01/10/2018 04:29 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/5166 added

#8 - 01/12/2018 01:22 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/5172 added

#9 - 01/12/2018 01:24 PM - Marek Hulán

- Pull request deleted (https://github.com/theforeman/foreman/pull/5160, https://github.com/theforeman/foreman/pull/5162)

#10 - 01/12/2018 02:02 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 59f0a945defa3f70454b08a1914fc4842ab69c7e.

#11 - 01/16/2018 10:48 AM - Marek Hulán

- Related to Bug #22280: User Audits: False entry of "password changed" every time a user is updated added
